%global git ed5854f48e1353d1b2fd8d655cea799e2d77e4d5

%if ! 0%{?gobuild:1}
%define gobuild(o:) go build -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')" -a -v -x %{?**}; 
%endif

Name:           vpn-ca
Version:        0.0.0
Release:        0.8%{?dist}
Summary:        Simple CA intended for use with Let's Connect! VPN

License:        MIT
URL:            https://github.com/fkooman/vpn-ca

%if %{defined git}
Source0:        https://github.com/fkooman/vpn-ca/archive/%{git}/vpn-ca-%{version}-%{git}.tar.gz
%else
Source0:        https://github.com/fkooman/vpn-ca/releases/download/%{version}/vpn-ca-%{version}.tar.xz
Source1:        https://github.com/fkooman/vpn-ca/releases/download/%{version}/vpn-ca-%{version}.tar.xz.minisig
Source2:        minisign-8466FFE127BCDC82.pub
%endif

BuildRequires:  minisign
BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}

%description
Simple CA intended for use with Let's Connect! & eduVPN.

%prep
%if %{defined git}
%setup -qn vpn-ca-%{git}
%else
/usr/bin/minisign -V -m %{SOURCE0} -x %{SOURCE1} -p %{SOURCE2}
%setup -qn vpn-ca-%{version}
%endif

%build
for cmd in vpn-ca; do
  %gobuild -o _bin/$(basename $cmd) $cmd/main.go
done

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp _bin/*              %{buildroot}%{_bindir}/

%files
%{_bindir}/*

%doc README.md
%license LICENSE.txt

%changelog
* Thu Sep 05 2019 François Kooman <fkooman@tuxed.net> - 0.0.0-0.8
- rebuilt

* Tue Aug 27 2019 François Kooman <fkooman@tuxed.net> - 0.0.0-0.7
- rebuilt

* Thu Aug 22 2019 François Kooman <fkooman@tuxed.net> - 0.0.0-0.6
- rebuilt

* Thu Aug 22 2019 François Kooman <fkooman@tuxed.net> - 0.0.0-0.5
- rebuilt

* Wed Aug 21 2019 François Kooman <fkooman@tuxed.net> - 0.0.0-0.4
- rebuilt

* Sun Aug 18 2019 François Kooman <fkooman@tuxed.net> - 0.0.0-0.3
- rebuilt

* Sat Aug 17 2019 François Kooman <fkooman@tuxed.net> - 0.0.0-0.2
- rebuilt

* Fri Aug 16 2019 François Kooman <fkooman@tuxed.net> - 0.0.0-0.1
- initial package
